> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk.md).

# Client SDK

Apps in Toss Web Mini App 中使用的公开 API 表面。目录结构就是这份参考文档的目录，导出的 API 都会在同一 depth 的 REFERENCE.md 中进行文档化。

### 结构

| 领域                                                           | 说明                                                         |
| ------------------------------------------------------------ | ---------------------------------------------------------- |
| [domains/](/documentation/api-and-sdk-zh/sdk/domains-api.md) | `领域.动作` 20 种接口 + 各成员的函数式（flat）API                          |
| [events/](/documentation/api-and-sdk-zh/sdk/events.md)       | 原生事件订阅总线 (`graniteEvent` · `tdsEvent` · `appsInTossEvent`) |

### 使用方式

```js
// 领域接口
import { Device } from "@apps-in-toss/web-framework";
await Device.openCamera();

// 函数式（flat）API — 与 v2 相同
import { openCamera } from "@apps-in-toss/web-framework";
await openCamera();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
